%define majorminor  0.10
%define gstreamer   gstreamer09

%define gst_minver   0.9.6

Name: 		%{gstreamer}-plugins-bad
Version: 	0.9.7
Release: 	1.gst
Summary: 	GStreamer plug-ins of bad quality

%define 	majorminor	0.10

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.freedesktop.org/
Vendor:         GStreamer Backpackers Team <package@gstreamer.freedesktop.org>
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         %{gstreamer} >= %{gst_minver}
BuildRequires:    %{gstreamer}-devel >= %{gst_minver}

BuildRequires:  gcc-c++

# @USE_AUDIOFILE_TRUE@Requires:      audiofile >= 0.2.1
# @USE_AUDIOFILE_TRUE@BuildRequires: audiofile-devel >= 0.2.1
BuildRequires:  faad2-devel >= 2.0
# BuildRequires:  gsm-devel >= 1.0.10
# @USE_HERMES_TRUE@Requires:      Hermes >= 1.3.0
# @USE_HERMES_TRUE@BuildRequires: Hermes-devel >= 1.3.0
# @USE_LIBFAME_TRUE@BuildRequires:  libfame-devel >= 0.9.0
Requires:      SDL >= 1.2.0
BuildRequires: 	XFree86-devel
# @USE_SWFDEC_TRUE@BuildRequires:  swfdec-devel
Provides:      gstreamer-faad = %{version}-%{release}
#Requires:      faac >= 1.23
# Provides:       gstreamer-gsm = %{version}-%{release}
# @USE_LIBFAME_TRUE@Provides:       gstreamer-libfame = %{version}-%{release}
# @USE_SWFDEC_TRUE@Provides:       gstreamer-swfdec = %{version}-%{release}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains GStreamer Plugins that are considered to be of bad
quality, even though they might work.

%prep
%setup -q -n gst-plugins-bad-%{version}

%build
%configure

make %{?_smp_mflags}
                                                                                
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
                                                                                
# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# %find_lang gst-plugins-bad-%{majorminor}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgsttta.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
#%{_libdir}/gstreamer-%{majorminor}/libgstivorbis.so
# gstreamer-plugins with external dependencies but in the main package
# @USE_ARTS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstarts.so
# @USE_ARTSC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstartsdsink.so
# @USE_AUDIOFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstaudiofile.so
# @USE_DIRAC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so
%{_libdir}/gstreamer-%{majorminor}/libgstfaad.so
#%{_libdir}/gstreamer-%{majorminor}/libgstfaac.so
# %{_libdir}/gstreamer-%{majorminor}/libgstgsm.so
# @USE_HERMES_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsthermescolorspace.so
# @USE_LIBFAME_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstlibfame.so
# @USE_MUSICBRAINZ_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgsttrm.so
# @USE_OPENGL_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstglimagesink.so
# @USE_POLYP_TRUE@%{_libdir}/gstreamer-%{majorminor}/libpolypaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstsdlvideosink.so
# @USE_SNDFILE_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so
# @USE_SWFDEC_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so
                                                                                
## DXR3 ###
# @USE_DXR3_TRUE@%package -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@Summary:       GStreamer plug-in for playback using dxr3 card.
# @USE_DXR3_TRUE@Group:         Applications/Multimedia
# @USE_DXR3_TRUE@Requires:      gstreamer-plugins = %{version}
# @USE_DXR3_TRUE@Requires:      em8300 >= 0.12.0
# @USE_DXR3_TRUE@BuildRequires: em8300-devel >= 0.12.0
# @USE_DXR3_TRUE@Obsoletes:     gstreamer-dxr3
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%description -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@Plug-in supporting DVD playback using cards
# @USE_DXR3_TRUE@with the dxr3 chipset like Hollywood Plus
# @USE_DXR3_TRUE@and Creative Labs DVD cards.
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%files -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@%defattr(-, root, root)
# @USE_DXR3_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstdxr3.so
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%post -n gstreamer-plugins-dxr3
# @USE_DXR3_TRUE@
# @USE_DXR3_TRUE@%postun -n gstreamer-plugins-dxr3

#### JACK AUDIO CONNECTION KIT ###
# @USE_JACK_TRUE@%package -n gstreamer-plugins-jack
# @USE_JACK_TRUE@Summary:  GStreamer plug-in for the Jack Sound Server.
# @USE_JACK_TRUE@Group:    Applications/Multimedia
# @USE_JACK_TRUE@Requires: gstreamer-plugins = %{version}
# @USE_JACK_TRUE@Requires: jack-audio-connection-kit >= 0.28.0
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@Provides:	gstreamer-audiosrc
# @USE_JACK_TRUE@Provides:	gstreamer-audiosink
# @USE_JACK_TRUE@Obsoletes:	gstreamer-jack
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%description -n gstreamer-plugins-jack
# @USE_JACK_TRUE@Plug-in for the JACK professional sound server.
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%files -n gstreamer-plugins-jack
# @USE_JACK_TRUE@%defattr(-, root, root)
# @USE_JACK_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstjack.so
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%post -n gstreamer-plugins-jack
# @USE_JACK_TRUE@
# @USE_JACK_TRUE@%postun -n gstreamer-plugins-jack

#### NETWORK AUDIO SYSTEM  ###
# @USE_NAS_TRUE@%package -n gstreamer-plugins-nas
# @USE_NAS_TRUE@Summary:  GStreamer plug-in for the Network Audio System.
# @USE_NAS_TRUE@Group:    Applications/Multimedia
# @USE_NAS_TRUE@Requires: gstreamer-plugins = %{version}
# @USE_NAS_TRUE@Requires: libnas2 >= 1.6
# @USE_NAS_TRUE@Obsolotes:gstreamer-nas
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%description -n gstreamer-plugins-nas
# @USE_NAS_TRUE@Plug-in for the Network Audio System sound server.
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%files -n gstreamer-plugins-nas
# @USE_NAS_TRUE@%defattr(-, root, root)
# @USE_NAS_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstnassink.so
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%post -n gstreamer-plugins-nas
# @USE_NAS_TRUE@
# @USE_NAS_TRUE@%postun -n gstreamer-plugins-nas

#### MMS Protocol support ####
# %package -n gstreamer-plugins-mms
# Summary:  GStreamer plug-in for MMS protocol support 
# Group:    Applications/Multimedia
# Requires: gstreamer-plugins = %{version}
# Requires: libmms >= 0.1
# Obsoletes:gstreamer-mms
# 
# %description -n gstreamer-plugins-mms
# Plug-in for the MMS protocol used by Microsoft
# 
# %files -n gstreamer-plugins-mms
# %defattr(-, root, root)
# %{_libdir}/gstreamer-%{majorminor}/libgstmms.so
# 
# %post -n gstreamer-plugins-mms
# 
# %postun -n gstreamer-plugins-mms

### VIDEO 4 LINUX 2 ###
# @USE_GST_V4L2_TRUE@%package -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@Summary:       GStreamer Video for Linux 2 plug-in.
# @USE_GST_V4L2_TRUE@Group:         Applications/Multimedia
# @USE_GST_V4L2_TRUE@Requires:      gstreamer-plugins = %{version}
# @USE_GST_V4L2_TRUE@BuildRequires: glibc-devel
# @USE_GST_V4L2_TRUE@Obsoletes:	  gstreamer-v4l2
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%description -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@Plug-in for accessing Video for Linux devices.
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%files -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@%defattr(-, root, root)
# @USE_GST_V4L2_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%post -n gstreamer-plugins-v4l2
# @USE_GST_V4L2_TRUE@
# @USE_GST_V4L2_TRUE@%postun -n gstreamer-plugins-v4l2

### XVID ###
# @USE_XVID_TRUE@%package -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@Summary:       GStreamer XVID plug-in.
# @USE_XVID_TRUE@Group:         Applications/Multimedia
# @USE_XVID_TRUE@Requires:      gstreamer-plugins = %{version}
# @USE_XVID_TRUE@BuildRequires: glibc-devel
# @USE_XVID_TRUE@Obsoletes:     gstreamer-xvid
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%description -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@Plug-in for decoding XVID files.
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%files -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@%defattr(-, root, root)
# @USE_XVID_TRUE@%{_libdir}/gstreamer-%{majorminor}/libgstxvid.so
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%post -n gstreamer-plugins-xvid
# @USE_XVID_TRUE@
# @USE_XVID_TRUE@%postun -n gstreamer-plugins-xvid


%changelog
* Sun Nov 27 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- redone for split

